Ext.onReady(function() {
    Ext.BLANK_IMAGE_URL = 'extJS/resources/images/default/s.gif';
    
    var tree = new Ext.ux.HistoryTree({
        renderTo: 'tree-div',
        autoScroll: false,
        containerScroll: false,
        border: false,
        historyId: 'historyTree',
        rootVisible: false,
        loader: new Ext.tree.TreeLoader(),
        root: new Ext.tree.AsyncTreeNode({
            text: '',
            draggable: false,
            leaf: false,
            id: 'NULL',
            children:
            	[{id: 'Group A', cls: 'folder', leaf: false, text: 'Group A',
            		children: 
            			[{id: 'South Africa', leaf: true, cls: 'folder', expandable: false, text: 'South Africa'},
						{id: 'Mexico', leaf: true, cls: 'folder', expandable: false, text: 'Mexico'},
						{id: 'Uruguay', leaf: true, cls: 'folder', expandable: false, text: 'Uruguay'},
						{id: 'France', leaf: true, cls: 'folder', expandable: false, text: 'France'}
						]
				},
				{id: 'Group B', cls: 'folder', leaf: false, text: 'Group B',
					children:
						[{id: 'Argentina', leaf: true, cls: 'folder', expandable: false, text: 'Argentina'},
						{id: 'Nigeria', leaf: true, cls: 'folder', expandable: false, text: 'Nigeria'},
						{id: 'Korea Republic', leaf: true, cls: 'folder', expandable: false, text: 'Korea Republic'},
						{id: 'Greece', leaf: true, cls: 'folder', expandable: false, text: 'Greece'}
						]
				},
				{id: 'Group C', cls: 'folder', leaf: false, text: 'Group C', 
					children:
						[{id: 'England', leaf: true, cls: 'folder', expandable: false, text: 'England'},
						{id: 'United States', leaf: true, cls: 'folder', expandable: false, text: 'United States'},
						{id: 'Algeria', leaf: true, cls: 'folder', expandable: false, text: 'Algeria'},
						{id: 'Slovenia', leaf: true, cls: 'folder', expandable: false, text: 'Slovenia'}
						]
				},
				{id: 'Group D', cls: 'folder', leaf: false, text: 'Group D',
					children:
						[{id: 'Germany', leaf: true, cls: 'folder', expandable: false, text: 'Germany'},
						{id: 'Australia', leaf: true, cls: 'folder', expandable: false, text: 'Australia'},
						{id: 'Serbia', leaf: true, cls: 'folder', expandable: false, text: 'Serbia'},
						{id: 'Ghana', leaf: true, cls: 'folder', expandable: false, text: 'Ghana'}
						]
				},
				{id: 'Group E', cls: 'folder', leaf: false, text: 'Group E',
					children:
						[{id: 'Netherlands', leaf: true, cls: 'folder', expandable: false, text: 'Netherlands'},
						{id: 'Denmark', leaf: true, cls: 'folder', expandable: false, text: 'Denmark'},
						{id: 'Japan', leaf: true, cls: 'folder', expandable: false, text: 'Japan'},
						{id: 'Cameroon', leaf: true, cls: 'folder', expandable: false, text: 'Cameroon'}
						]
				},
				{id: 'Group F', cls: 'folder', leaf: false, text: 'Group F',
					children:
						[{id: 'Italy', leaf: true, cls: 'folder', expandable: false, text: 'Italy'},
						{id: 'Paraguay', leaf: true, cls: 'folder', expandable: false, text: 'Paraguay'},
						{id: 'New Zealand', leaf: true, cls: 'folder', expandable: false, text: 'New Zealand'},
						{id: 'Slovakia', leaf: true, cls: 'folder', expandable: false, text: 'Slovakia'}
						]
				},
				{id: 'Group G', cls: 'folder', leaf: false, text: 'Group G', 
					children:
						[{id: 'Brazil', leaf: true, cls: 'folder', expandable: false, text: 'Brazil'},
						{id: 'Korea DPR', leaf: true, cls: 'folder', expandable: false, text: 'Korea DPR'},
						{id: 'Cote dIvoire', leaf: true, cls: 'folder', expandable: false, text: 'Cote dIvoire'},
						{id: 'Portugal', leaf: true, cls: 'folder', expandable: false, text: 'Portugal'}
						]
				},
				{id: 'Group H', cls: 'folder', leaf: false, text: 'Group H',
					children:
						[{id: 'Spain', leaf: true, cls: 'folder', expandable: false, text: 'Spain'},
						{id: 'Switzerland', leaf: true, cls: 'folder', expandable: false, text: 'Switzerland'},
						{id: 'Honduras', leaf: true, cls: 'folder', expandable: false, text: 'Honduras'},
						{id: 'Chile', leaf: true, cls: 'folder', expandable: false, text: 'Chile'}
						]
				},
				{id: 'Quarterfinals', cls: 'folder', leaf: false, text: 'Quarterfinals',
					children:
						[{id: 'QFirst', leaf: false, cls: 'folder', expandable: false, text: 'First',
							children:	
								[{leaf: true, cls: 'file', expandable: false, text: 'X'},
								{leaf: true, cls: 'file', expandable: false, text: 'X'}]},
						{id: 'QSecond', leaf: false, cls: 'folder', expandable: false, text: 'Second',
							children:	
								[{leaf: true, cls: 'file', expandable: false, text: 'X'},
								{leaf: true, cls: 'file', expandable: false, text: 'X'}]},
						{id: 'QThird', leaf: false, cls: 'folder', expandable: false, text: 'Third',
							children:	
								[{leaf: true, cls: 'file', expandable: false, text: 'X'},
								{leaf: true, cls: 'file', expandable: false, text: 'X'}]},
						{id: 'QFourth', leaf: false, cls: 'folder', expandable: false, text: 'Fourth',
							children:	
								[{leaf: true, cls: 'file', expandable: false, text: 'X'},
								{leaf: true, cls: 'file', expandable: false, text: 'X'}]}
						]
				},
				{id: 'Semifinals', cls: 'folder', leaf: false, text: 'Semifinals',
					children:
						[{id: 'SFirst', leaf: false, cls: 'folder', expandable: false, text: 'First',
							children:	
								[{leaf: true, cls: 'file', expandable: false, text: 'X'},
								{leaf: true, cls: 'file', expandable: false, text: 'X'}]
						},
						{id: 'SSecond', leaf: false, cls: 'folder', expandable: false, text: 'Second',
							children:	
								[{leaf: true, cls: 'file', expandable: false, text: 'X'},
								{leaf: true, cls: 'file', expandable: false, text: 'X'}]}
						]
				},
				{id: 'Final', cls: 'folder', leaf: false, text: 'Final',
					children:
						[{leaf: true, cls: 'file', expandable: false, text: 'X'},
						{leaf: true, cls: 'file', expandable: false, text: 'X'}
						]
				}
				]
        }),
        hprovider: new Ext.ux.HistoryProvider({
                    fieldId: 'x-history-field',
                    iframeId: 'x-history-frame'
                })
    });

    tree.render();



});

            